Installer - Feature #36843

Validate certificates as part of foreman-proxy-certs-generate
10/19/2023 10:41 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version:
Difficulty: Fixed in Releases: 3.9.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/895,
https://github.com/theforeman/foreman-d
ocumentation/pull/2566,
https://github.com/theforeman/foreman-i
nstaller/pull/903,
https://github.com/theforeman/foreman-i
nstaller/pull/905
Description

Today the instructions to the user are to always run katello-certs-check before running foreman-proxy-certs-generate, but it would be
safer to enhance the foreman-proxy-certs-generate script to validate the certificates. This can happen by calling katello-certs-check
internally and halt execution if that fails.

Related issues:

Has duplicate Installer - Feature #36561: Run katello-certs-check in foreman-... Duplicate

Associated revisions

Revision 2a11ccbb - 11/14/2023 12:17 PM - Ewoud Kohl van Wijngaarden

Fixes #36843 - run katello-certs-check in fp-certs-generate

Revision 66c84d22 - 12/15/2023 02:21 PM - Eric Helms

Refs #36843: Pass array to capture2e as arguments

History

#1 - 10/19/2023 10:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/895 added

#2 - 10/30/2023 08:24 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-documentation/pull/2566 added

#3 - 11/09/2023 12:25 PM - Ewoud Kohl van Wijngaarden

- Has duplicate Feature #36561: Run katello-certs-check in foreman-proxy-certs-generate when custom cetrtificates are used added

#4 - 11/14/2023 12:17 PM - The Foreman Bot
- Fixed in Releases 3.9.0 added

#5 - 11/14/2023 01:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|2a11ccbbbd040339465109706d77c80e6eb7cf42.
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/2a11ccbbbd040339465109706d77c80e6eb7cf42

#6 - 12/14/2023 07:47 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/903 added

#7 - 12/15/2023 02:22 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/905 added
